Skip to main content
POST
/osm/geocode/search

Authorizations

access-token
string
header
required

API token from the dashboard

Headers

access-token
string
required

Body

application/json
count
integer
required
Required range: 1 <= x <= 40
timeout
integer
default:300
Required range: 20 <= x <= 1500
query
string | null
Minimum string length: 1
amenity
string | null
street
string | null
city
string | null
county
string | null
state
string | null
country
string | null
postalcode
string | null
countrycodes
string | null
viewbox
string | null
bounded
boolean
default:false
layer
enum<string>[] | null
Available options:
address,
poi,
railway,
natural,
manmade
featuretype
enum<string> | null
Available options:
country,
state,
city,
settlement
address_details
boolean
default:true
extra_tags
boolean
default:true
name_details
boolean
default:true
polygon_geojson
boolean
default:false
dedupe
boolean
default:true
exclude_place_ids
string | null
accept_language
string | null

Response

Successful Response

@type
string
default:OsmPlace
place_id
integer | null
osm_type
string | null
osm_id
integer | null
latitude
number | null
longitude
number | null
category
string | null
place_type
string | null
place_rank
integer | null
importance
number | null
addresstype
string | null
name
string | null
display_name
string | null
address
object | null
extratags
object
namedetails
object
boundingbox
number[]
geojson
object | null
source_url
string | null